# List Jobs

> Source: https://truto.one/docs/api-reference/unified-ats-api/jobs/list/

`GET /unified/ats/jobs`

Resource: **Jobs** · API: **Unified ATS API**

## Supported integrations

ApplicantStack (partial), Ashby (partial), BambooHR (partial), Breezy, CATS (partial), Ceipal, Fountain, Greenhouse (partial), Homerun (partial), HR Cloud, JazzHR, JobScore, Jobsoid, Jobvite, Lever, Loxo (partial), Pinpoint, Recruitee (partial), Recruiterflow (partial), Sage HR (partial), SmartRecruiters (partial), TalentLyft (partial), Teamtailor, Workable (partial), Zoho Recruit

## Query parameters

- **`integrated_account_id`** _(string, required)_
  The ID of the integrated account to use for the request.
- **`truto_response_format`** _(string)_
  The format of the response. - `unified` returns the response with unified mappings applied. - `raw` returns the unprocessed, raw response from the remote API. - `normalized` applies the unified mappings and returns the data in a normalized format. - `stream` returns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory. Defaults to `unified`.
  Allowed: `unified`, `raw`, `normalized`, `stream`
- **`truto_key_by`** _(string)_
  By default the `result` attribute is an array of objects. This parameter allows you to specify a field in each `result` objects to use as key, which transforms the `result` array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
- **`truto_ignore_limit`** _(boolean)_
  Ignores the `limit` query parameter.
- **`truto_ignore_remote_data`** _(boolean)_
  Excludes the `remote_data` attribute from the response.
- **`truto_exclude_fields`** _(array<string>)_
  Array of fields to exclude from the response.
- **`remote_query`** _(object)_
  Query parameters to pass to the underlying API without any transformations. Refer [this guide](https://truto.one/docs/api-reference/overview/querying#remote-query-parameters) to see how to structure the query parameters.
- **`status`** _(string)_
  The job's status
  Allowed: `all`, `archived`, `cancelled`, `closed`, `draft`, `internal`, `interview`, `offer`, `on_hold`, `open`, `pending`, `scheduled` (+1 more)
- **`organization_id`** _(string)_
  The ID of the organization to filter the jobs by.
- **`sort_by`** _(enum)_
  Allowed: `code`, `created_at`, `name`, `updated_at`
- **`created_at`** _(string)_
  The date and time of the job's creation
- **`updated_at`** _(string)_
  The date and time of the job's last update
- **`requisition_id`** _(string)_
  The job's requisition_id
- **`department_id`** _(string)_
  The ID of the department to filter the jobs by.
- **`office_id`** _(string)_
  The ID of the office to filter the jobs by.
- **`name`** _(string)_
  The job's name
- **`tags`** _(array<string>)_
  The job's tags

## Response body

- **`result`** _(array<object>)_
  List of Jobs
  - **`id`** _(string, required)_
    The job's unique identifier
  - **`name`** _(string)_
    The job's name
  - **`description`** _(string)_
    The job's description
  - **`code`** _(string)_
    The job's code
  - **`requisition_id`** _(string)_
    The job's requisition_id
  - **`status`** _(string)_
    The job's status
    Allowed: `open`, `closed`, `draft`, `pending`, `archived`
  - **`locations`** _(array<string>)_
    The job's locations
  - **`job_posting_urls`** _(array<object>)_
    The job's job posting urls
    - **`url`** _(string)_
      The job posting URL
    - **`type`** _(string)_
      The job posting URL's type
  - **`confidential`** _(boolean)_
    Whether the job is confidential or not
  - **`departments`** _(array<object>)_
    The job's department
    - **`id`** _(string)_
      Unique identifier of the department
    - **`name`** _(string)_
      The department's name
  - **`teams`** _(array<object>)_
  - **`offices`** _(array<object>)_
    The job's office
    - **`id`** _(string)_
      Unique identifier of the office
    - **`name`** _(string)_
      The office's name
  - **`hiring_managers`** _(array<object>)_
    The job's hiring managers
    - **`id`** _(string)_
      Unique identifier of the user
    - **`name`** _(string)_
      The user's name
  - **`recruiters`** _(array<object>)_
    The job's recruiters
    - **`id`** _(string)_
      Unique identifier of the user
    - **`name`** _(string)_
      The user's name
  - **`tags`** _(array<string>)_
    The job's tags
  - **`is_remote`** _(boolean)_
    Whether the job is remote or not
  - **`job_type`** _(string)_
    The job's type.
    Allowed: `full_time`, `part_time`, `contract`, `internship`, `temporary`, `volunteer`, `per_diem`
  - **`job_position_level`** _(string)_
    The job's position level.
  - **`compensation`** _(object)_
    - **`id`** _(string)_
      The job's compensation unique identifier
    - **`currency`** _(string)_
      The job's compensation currency
    - **`min`** _(number)_
      The job's minimum compensation
    - **`max`** _(number)_
      The job's maximum compensation
    - **`interval`** _(string)_
      The job's compensation interval. If no clear mapping exists, then raw value is returned.
      Allowed: `yearly`, `monthly`, `weekly`, `daily`, `hourly`, `one_time`, `semi_monthly`, `bi_monthly`, `bi_weekly`
    - **`is_negotiable`** _(boolean)_
      Whether the job's compensation is negotiable or not
    - **`notes`** _(string)_
      The job's compensation notes
  - **`created_at`** _(string)_
    The date and time of the job's creation
  - **`updated_at`** _(string)_
    The date and time of the job's last update
  - **`closed_at`** _(string)_
    The date and time of the job's closing
  - **`opened_at`** _(string)_
    The date and time of the job's opening
  - **`remote_data`** _(object)_
    Raw data returned from the remote API call.
- **`next_cursor`** _(string)_
  The cursor to use for the next page of results. Pass this value as `next_cursor` in the query parameter in the next request to get the next page of results.

## Code examples

### curl

```bash
curl -X GET 'https://api.truto.one/unified/ats/jobs?integrated_account_id=<integrated_account_id>' \
  -H 'Authorization: Bearer <your_api_token>' \
  -H 'Content-Type: application/json'
```

### JavaScript

```javascript
const integratedAccountId = '<integrated_account_id>';

const response = await fetch(`https://api.truto.one/unified/ats/jobs?integrated_account_id=${integratedAccountId}`, {
  method: 'GET',
  headers: {
    'Authorization': 'Bearer <your_api_token>',
    'Content-Type': 'application/json',
  },
});

const data = await response.json();
console.log(data);
```

### Python

```python
import requests

url = "https://api.truto.one/unified/ats/jobs"
headers = {
    "Authorization": "Bearer <your_api_token>",
    "Content-Type": "application/json",
}
params = {
    "integrated_account_id": "<integrated_account_id>"
}

response = requests.get(url, headers=headers, params=params)
print(response.json())
```

### Truto TS SDK

```typescript
import Truto from '@truto/truto-ts-sdk';

const truto = new Truto({
  token: '<your_api_token>',
});

const result = await truto.unifiedApi.list(
  'ats',
  'jobs',
  { integrated_account_id: '<integrated_account_id>' }
);

console.log(result);
```

### Truto Python SDK

```python
import asyncio
from truto_python_sdk import TrutoApi

truto_api = TrutoApi(token="<your_api_token>")

async def main():
    async for item in truto_api.unified_api.list(
        "ats",
        "jobs",
        {"integrated_account_id": "<integrated_account_id>"}
    ):
        print(item)

asyncio.run(main())
```
